#
# spec file for package neon
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           neon
Version:        0.29.6
Release:        0
Summary:        An HTTP and WebDAV Client Library
License:        GPL-2.0+
Group:          Development/Libraries/Other
BuildRequires:  krb5-devel
BuildRequires:  libexpat-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libproxy-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
# bug437293
%ifarch ppc64
Obsoletes:      neon-64bit
%endif
Url:            http://www.webdav.org/neon
#
Source:         http://www.webdav.org/neon/neon-%{version}.tar.gz
Source2:        baselibs.conf
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/Packaging/Patches
Patch0:         %{name}-0.28.4-bloat.patch
Patch1:         neon-aes-ni.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
neon is an HTTP and WebDAV client library with a C interface.
   Featuring: * High-level interface to HTTP and WebDAV methods
   (PUT, GET, HEAD, etc.)

* Low-level interface to HTTP request handling to allow implementing
   new methods easily

* HTTP/1.1 and HTTP/1.0 persistent connections

* RFC2617 basic and digest authentication (including auth-int,
   md5-sess)

* Proxy support (including basic/digest authentication)

* Generic WebDAV 207 XML response handling mechanism

* XML parsing using the expat or libxml parsers

* Easy generation of error messages from 207 error responses

* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL

* WebDAV metadata support: set and remove properties, query any set of
properties (PROPPATCH/PROPFIND)

%package -n libneon27
Summary:        An HTTP and WebDAV Client Library
Group:          Development/Libraries/Other
# Drop the main package. It avoids the lib from being installed in different versions
# and generally only contained coders doc anyhow.
Provides:       neon = %{version}
Obsoletes:      neon < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      neon-64bit
%endif
#

%description -n libneon27
neon is an HTTP and WebDAV client library with a C interface.
   Featuring: * High-level interface to HTTP and WebDAV methods
   (PUT, GET, HEAD, etc.)

* Low-level interface to HTTP request handling to allow implementing
   new methods easily

* HTTP/1.1 and HTTP/1.0 persistent connections

* RFC2617 basic and digest authentication (including auth-int,
   md5-sess)

* Proxy support (including basic/digest authentication)

* Generic WebDAV 207 XML response handling mechanism

* XML parsing using the expat or libxml parsers

* Easy generation of error messages from 207 error responses

* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL

* WebDAV metadata support: set and remove properties, query any set of
properties (PROPPATCH/PROPFIND)

%package -n libneon-devel
Summary:        An HTTP and WebDAV Client Library
Group:          Development/Libraries/Other
Requires:       glibc-devel
Requires:       libneon27 = %{version}
# renamed after openSUSE 10.3
Provides:       neon-devel = %{version}
Obsoletes:      neon-devel < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      neon-devel-64bit
%endif
#

%description -n libneon-devel
neon is an HTTP and WebDAV client library with a C interface.
   Featuring: * High-level interface to HTTP and WebDAV methods
   (PUT, GET, HEAD, etc.)

* Low-level interface to HTTP request handling to allow implementing
   new methods easily

* HTTP/1.1 and HTTP/1.0 persistent connections

* RFC2617 basic and digest authentication (including auth-int,
   md5-sess)

* Proxy support (including basic/digest authentication)

* Generic WebDAV 207 XML response handling mechanism

* XML parsing using the expat or libxml parsers

* Easy generation of error messages from 207 error responses

* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL

* WebDAV metadata support: set and remove properties, query any set of
properties (PROPPATCH/PROPFIND)

%prep
%setup -q
%patch0
# disable temporarily (bnc#720601)
#%patch1

%build
rm -f aclocal.m4 ltmain.sh
sh autogen.sh
%configure \
    --with-ssl \
    --enable-threadsafe-ssl=posix \
    --with-libproxy \
    --with-expat \
    --disable-nls \
    --enable-shared \
    --disable-static \
    --enable-warnings \
    --with-pic
%{__make} %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} docdir=%{_defaultdocdir}/%{name} install install-man install-html
rm -f %{buildroot}%{_libdir}/*.la

%check
#make check

%post -n libneon27 -p /sbin/ldconfig

%postun -n libneon27 -p /sbin/ldconfig

%files -n libneon27
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%{_libdir}/*.so.27*

%files -n libneon-devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%{_bindir}/neon-config
%dir %{_includedir}/neon
%{_includedir}/neon/*.h
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/neon.pc

%changelog
